<?php
if ( ! function_exists( 'translatable_setup' ) ) :

function translatable_setup() {

    /*
     * Make theme available for translation.
     * Translations can be filed in the /languages/ directory.
     */
    /* Pinegrow generated Load Text Domain Begin */
    load_theme_textdomain( 'translatable', get_template_directory() . '/languages' );
    /* Pinegrow generated Load Text Domain End */

    // Add default posts and comments RSS feed links to head.
    add_theme_support( 'automatic-feed-links' );

    /*
     * Let WordPress manage the document title.
     */
    add_theme_support( 'title-tag' );
    
    /*
     * Enable support for Post Thumbnails on posts and pages.
     */
    add_theme_support( 'post-thumbnails' );
    //Support custom logo
    add_theme_support( 'custom-logo' );

    // Add menus.
    register_nav_menus( array(
        'primary' => __( 'Primary Menu', 'translatable' ),
        'social'  => __( 'Social Links Menu', 'translatable' ),
    ) );

/*
     * Register custom menu locations
     */
    /* Pinegrow generated Register Menus Begin */

    /* Pinegrow generated Register Menus End */
    
/*
    * Set image sizes
     */
    /* Pinegrow generated Image sizes Begin */

    /* Pinegrow generated Image sizes End */
    
    /*
     * Switch default core markup for search form, comment form, and comments
     * to output valid HTML5.
     */
    add_theme_support( 'html5', array(
        'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
    ) );

    /*
     * Enable support for Post Formats.
     */
    add_theme_support( 'post-formats', array(
        'aside', 'image', 'video', 'quote', 'link', 'gallery', 'status', 'audio', 'chat'
    ) );

    /*
     * Enable support for Page excerpts.
     */
     add_post_type_support( 'page', 'excerpt' );
}
endif; // translatable_setup

add_action( 'after_setup_theme', 'translatable_setup' );


if ( ! function_exists( 'translatable_init' ) ) :

function translatable_init() {

    
    // Use categories and tags with attachments
    register_taxonomy_for_object_type( 'category', 'attachment' );
    register_taxonomy_for_object_type( 'post_tag', 'attachment' );

    /*
     * Register custom post types. You can also move this code to a plugin.
     */
    /* Pinegrow generated Custom Post Types Begin */

    /* Pinegrow generated Custom Post Types End */
    
    /*
     * Register custom taxonomies. You can also move this code to a plugin.
     */
    /* Pinegrow generated Taxonomies Begin */

    /* Pinegrow generated Taxonomies End */

}
endif; // translatable_setup

add_action( 'init', 'translatable_init' );


if ( ! function_exists( 'translatable_custom_image_sizes_names' ) ) :

function translatable_custom_image_sizes_names( $sizes ) {

    /*
     * Add names of custom image sizes.
     */
    /* Pinegrow generated Image Sizes Names Begin*/
    /* This code will be replaced by returning names of custom image sizes. */
    /* Pinegrow generated Image Sizes Names End */
    return $sizes;
}
add_action( 'image_size_names_choose', 'translatable_custom_image_sizes_names' );
endif;// translatable_custom_image_sizes_names



if ( ! function_exists( 'translatable_widgets_init' ) ) :

function translatable_widgets_init() {

    /*
     * Register widget areas.
     */
    /* Pinegrow generated Register Sidebars Begin */

    /* Pinegrow generated Register Sidebars End */
}
add_action( 'widgets_init', 'translatable_widgets_init' );
endif;// translatable_widgets_init



if ( ! function_exists( 'translatable_customize_register' ) ) :

function translatable_customize_register( $wp_customize ) {
    // Do stuff with $wp_customize, the WP_Customize_Manager object.

    /* Pinegrow generated Customizer Controls Begin */

    /* Pinegrow generated Customizer Controls End */

}
add_action( 'customize_register', 'translatable_customize_register' );
endif;// translatable_customize_register


if ( ! function_exists( 'translatable_enqueue_scripts' ) ) :
    function translatable_enqueue_scripts() {

        /* Pinegrow generated Enqueue Scripts Begin */

    wp_deregister_script( 'translatable-popper' );
    wp_enqueue_script( 'translatable-popper', get_template_directory_uri() . '/assets/js/popper.min.js', [], '1.0.4', true);

    wp_deregister_script( 'translatable-bootstrap' );
    wp_enqueue_script( 'translatable-bootstrap', get_template_directory_uri() . '/bootstrap/js/bootstrap.min.js', [], '1.0.4', true);

    /* Pinegrow generated Enqueue Scripts End */

        /* Pinegrow generated Enqueue Styles Begin */

    wp_deregister_style( 'translatable-bootstrap' );
    wp_enqueue_style( 'translatable-bootstrap', get_template_directory_uri() . '/bootstrap_theme/bootstrap.css', [], '1.0.4', 'all');

    wp_deregister_style( 'translatable-blocks' );
    wp_enqueue_style( 'translatable-blocks', get_template_directory_uri() . '/blocks.css', [], '1.0.4', 'all');

    wp_deregister_style( 'translatable-style' );
    wp_enqueue_style( 'translatable-style', get_bloginfo('stylesheet_url'), [], '1.0.4', 'all');

    /* Pinegrow generated Enqueue Styles End */

    }
    add_action( 'wp_enqueue_scripts', 'translatable_enqueue_scripts' );
endif;

function pgwp_sanitize_placeholder($input) { return $input; }
/*
 * Resource files included by Pinegrow.
 */
/* Pinegrow generated Include Resources Begin */
require_once "inc/custom.php";
if( !class_exists( 'PG_Helper_v2' ) ) { require_once "inc/wp_pg_helpers.php"; }
if( !class_exists( 'PG_Blocks' ) ) { require_once "inc/wp_pg_blocks_helpers.php"; }

    /* Pinegrow generated Include Resources End */

/* Setting up theme supports options */

function translatable_setup_theme_supports() {
    // Don't edit anything between the following comments.
    /* Pinegrow generated Theme Supports Begin */
    
//Tell WP to scope loaded editor styles to the block editor                    
add_theme_support( 'editor-styles' );
    /* Pinegrow generated Theme Supports End */
}
add_action('after_setup_theme', 'translatable_setup_theme_supports');

/* End of setting up theme supports options */


/* Loading editor styles for blocks */

function translatable_add_blocks_editor_styles() {
// Add blocks editor styles. Don't edit anything between the following comments.
/* Pinegrow generated Load Blocks Editor Styles Begin */
    add_editor_style( 'bootstrap_theme/bootstrap.css' );

    /* Pinegrow generated Load Blocks Editor Styles End */
}
add_action('admin_init', 'translatable_add_blocks_editor_styles');

/* End of loading editor styles for blocks */


/* Creating Editor Blocks with Pinegrow */

if ( ! function_exists('translatable_blocks_init') ) :
function translatable_blocks_init() {
    // Register blocks. Don't edit anything between the following comments.
    /* Pinegrow generated Register Pinegrow Blocks Begin */
    require_once 'blocks/translatable-block/translatable-block_register.php';

    /* Pinegrow generated Register Pinegrow Blocks End */
}
add_action('init', 'translatable_blocks_init');
endif;

/* End of creating Editor Blocks with Pinegrow */

function translatable_set_script_translations() {
    wp_set_script_translations( 'block-translatable-translatable-block-script', 'translatable', plugin_dir_path( __FILE__ ) . 'languages' );
}
add_action( 'init', 'translatable_set_script_translations' );

?>